Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039141
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-08-15 15:242018-12-11 20:22
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revisionfaf7ea329834
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039141: remove leftover ant tomcat.reload ant task as usage from MMC of it was removed years ago.

DescriptionThe 'Reload' option was removed from MMC window in 2011 as it was not working stable and restart can be used instead.

However that change left the ant task doing the reload in the build system.

As those were only used as MMC internals and should not be used manually they should be deleted.

Apart is uses the tomcat manager application which is not deployed by default in Openbravo appliance making that task unusable by default.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0015841 closedalostale Remove second option "Reload" after rebuild process 
depends on defect 0039433 closedalostale API change: removed ReloadContext class 
blocks design defect 0038296 acknowledgedplatform Review & cleanup build.xml 

-  Notes
(0107241)
hgbot (developer)
2018-10-11 10:04

Repository: erp/devel/pi
Changeset: faf7ea329834d759ff2446f293c05b9d5391462a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Oct 11 09:26:50 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/faf7ea329834d759ff2446f293c05b9d5391462a [^]

fixed issue 39141: removed ant tomcat.reload task

  This task is unused for years now.

---
M build.xml
R src/org/openbravo/service/system/ReloadContext.java
---
(0107249)
caristu (developer)
2018-10-11 12:29

Reviewed
(0108424)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-08-15 15:24 shuehner New Issue
2018-08-15 15:24 shuehner Assigned To => platform
2018-08-15 15:24 shuehner Modules => Core
2018-08-15 15:24 shuehner Triggers an Emergency Pack => No
2018-08-15 15:24 shuehner Relationship added blocks 0038296
2018-08-15 15:24 shuehner Relationship added related to 0015841
2018-08-15 15:27 shuehner Description Updated View Revisions
2018-10-11 09:50 alostale Relationship added depends on 0039433
2018-10-11 10:04 hgbot Checkin
2018-10-11 10:04 hgbot Note Added: 0107241
2018-10-11 10:04 hgbot Status new => resolved
2018-10-11 10:04 hgbot Resolution open => fixed
2018-10-11 10:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/faf7ea329834d759ff2446f293c05b9d5391462a [^]
2018-10-11 10:05 alostale Assigned To platform => alostale
2018-10-11 10:05 alostale Review Assigned To => caristu
2018-10-11 12:29 caristu Note Added: 0107249
2018-10-11 12:29 caristu Status resolved => closed
2018-10-11 12:29 caristu Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108424


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker